\documentclass[]{article}
\usepackage{lmodern}
\usepackage{amssymb,amsmath}
\usepackage{ifxetex,ifluatex}
\usepackage{fixltx2e} % provides \textsubscript
\ifnum 0\ifxetex 1\fi\ifluatex 1\fi=0 % if pdftex
  \usepackage[T1]{fontenc}
  \usepackage[utf8]{inputenc}
\else % if luatex or xelatex
  \ifxetex
    \usepackage{mathspec}
  \else
    \usepackage{fontspec}
  \fi
  \defaultfontfeatures{Ligatures=TeX,Scale=MatchLowercase}
\fi
% use upquote if available, for straight quotes in verbatim environments
\IfFileExists{upquote.sty}{\usepackage{upquote}}{}
% use microtype if available
\IfFileExists{microtype.sty}{%
\usepackage{microtype}
\UseMicrotypeSet[protrusion]{basicmath} % disable protrusion for tt fonts
}{}
\usepackage[margin=1in]{geometry}
\usepackage{hyperref}
\hypersetup{unicode=true,
            pdftitle={Introduction to ``R'' Exercise (Part I)},
            pdfborder={0 0 0},
            breaklinks=true}
\urlstyle{same}  % don't use monospace font for urls
\usepackage{color}
\usepackage{fancyvrb}
\newcommand{\VerbBar}{|}
\newcommand{\VERB}{\Verb[commandchars=\\\{\}]}
\DefineVerbatimEnvironment{Highlighting}{Verbatim}{commandchars=\\\{\}}
% Add ',fontsize=\small' for more characters per line
\usepackage{framed}
\definecolor{shadecolor}{RGB}{248,248,248}
\newenvironment{Shaded}{\begin{snugshade}}{\end{snugshade}}
\newcommand{\AlertTok}[1]{\textcolor[rgb]{0.94,0.16,0.16}{#1}}
\newcommand{\AnnotationTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\newcommand{\AttributeTok}[1]{\textcolor[rgb]{0.77,0.63,0.00}{#1}}
\newcommand{\BaseNTok}[1]{\textcolor[rgb]{0.00,0.00,0.81}{#1}}
\newcommand{\BuiltInTok}[1]{#1}
\newcommand{\CharTok}[1]{\textcolor[rgb]{0.31,0.60,0.02}{#1}}
\newcommand{\CommentTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textit{#1}}}
\newcommand{\CommentVarTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\newcommand{\ConstantTok}[1]{\textcolor[rgb]{0.00,0.00,0.00}{#1}}
\newcommand{\ControlFlowTok}[1]{\textcolor[rgb]{0.13,0.29,0.53}{\textbf{#1}}}
\newcommand{\DataTypeTok}[1]{\textcolor[rgb]{0.13,0.29,0.53}{#1}}
\newcommand{\DecValTok}[1]{\textcolor[rgb]{0.00,0.00,0.81}{#1}}
\newcommand{\DocumentationTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\newcommand{\ErrorTok}[1]{\textcolor[rgb]{0.64,0.00,0.00}{\textbf{#1}}}
\newcommand{\ExtensionTok}[1]{#1}
\newcommand{\FloatTok}[1]{\textcolor[rgb]{0.00,0.00,0.81}{#1}}
\newcommand{\FunctionTok}[1]{\textcolor[rgb]{0.00,0.00,0.00}{#1}}
\newcommand{\ImportTok}[1]{#1}
\newcommand{\InformationTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\newcommand{\KeywordTok}[1]{\textcolor[rgb]{0.13,0.29,0.53}{\textbf{#1}}}
\newcommand{\NormalTok}[1]{#1}
\newcommand{\OperatorTok}[1]{\textcolor[rgb]{0.81,0.36,0.00}{\textbf{#1}}}
\newcommand{\OtherTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{#1}}
\newcommand{\PreprocessorTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textit{#1}}}
\newcommand{\RegionMarkerTok}[1]{#1}
\newcommand{\SpecialCharTok}[1]{\textcolor[rgb]{0.00,0.00,0.00}{#1}}
\newcommand{\SpecialStringTok}[1]{\textcolor[rgb]{0.31,0.60,0.02}{#1}}
\newcommand{\StringTok}[1]{\textcolor[rgb]{0.31,0.60,0.02}{#1}}
\newcommand{\VariableTok}[1]{\textcolor[rgb]{0.00,0.00,0.00}{#1}}
\newcommand{\VerbatimStringTok}[1]{\textcolor[rgb]{0.31,0.60,0.02}{#1}}
\newcommand{\WarningTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\usepackage{graphicx,grffile}
\makeatletter
\def\maxwidth{\ifdim\Gin@nat@width>\linewidth\linewidth\else\Gin@nat@width\fi}
\def\maxheight{\ifdim\Gin@nat@height>\textheight\textheight\else\Gin@nat@height\fi}
\makeatother
% Scale images if necessary, so that they will not overflow the page
% margins by default, and it is still possible to overwrite the defaults
% using explicit options in \includegraphics[width, height, ...]{}
\setkeys{Gin}{width=\maxwidth,height=\maxheight,keepaspectratio}
\IfFileExists{parskip.sty}{%
\usepackage{parskip}
}{% else
\setlength{\parindent}{0pt}
\setlength{\parskip}{6pt plus 2pt minus 1pt}
}
\setlength{\emergencystretch}{3em}  % prevent overfull lines
\providecommand{\tightlist}{%
  \setlength{\itemsep}{0pt}\setlength{\parskip}{0pt}}
\setcounter{secnumdepth}{0}
% Redefines (sub)paragraphs to behave more like sections
\ifx\paragraph\undefined\else
\let\oldparagraph\paragraph
\renewcommand{\paragraph}[1]{\oldparagraph{#1}\mbox{}}
\fi
\ifx\subparagraph\undefined\else
\let\oldsubparagraph\subparagraph
\renewcommand{\subparagraph}[1]{\oldsubparagraph{#1}\mbox{}}
\fi

%%% Use protect on footnotes to avoid problems with footnotes in titles
\let\rmarkdownfootnote\footnote%
\def\footnote{\protect\rmarkdownfootnote}

%%% Change title format to be more compact
\usepackage{titling}

% Create subtitle command for use in maketitle
\providecommand{\subtitle}[1]{
  \posttitle{
    \begin{center}\large#1\end{center}
    }
}

\setlength{\droptitle}{-2em}

  \title{\large Introduction to ``R'' \Large Exercise (Part I)}
    \pretitle{\vspace{\droptitle}\centering\huge}
  \posttitle{\par}
    \author{}
    \preauthor{}\postauthor{}
    \date{}
    \predate{}\postdate{}
  

\begin{document}
\maketitle

In this practical exercise you will apply your newly acquired R skills
for data collection and cleaning. You will create a dataset for analysis
from two seperate data sets: (1) The official election results in the
electoral districts for the 2013 German national election and (2)
demographic and socio-economic data on the electoral districts (so
called \emph{Wahlstrukturdaten}).

\begin{Shaded}
\begin{Highlighting}[]
\CommentTok{# Here we load the packages that we need for the exercise}
\KeywordTok{library}\NormalTok{(dplyr)  }\CommentTok{# for using filter()}
\KeywordTok{library}\NormalTok{(stringr)  }\CommentTok{# for editing strings}

\KeywordTok{setwd}\NormalTok{(}\StringTok{'path to your working directory'}\NormalTok{)}
\end{Highlighting}
\end{Shaded}

\hypertarget{election-data}{%
\subsection{1. Election Data}\label{election-data}}

\textbf{1. The FDA data is based on two seperate data sets: (1) The
official election results in the electoral districts for the 2013 German
national election. (2) Demographic and socio-economic data on the
electoral districts (so called \emph{Wahlstrukturdaten}). Download the
election data from
\texttt{https://www.bundeswahlleiter.de/dam/jcr/2ace94c3-15cb-476b-aa98-806b97209353/btw13\_kerg.csv}.
You can do this with R using \texttt{download.file()}.}

\begin{Shaded}
\begin{Highlighting}[]
\NormalTok{URL1 <-}\StringTok{ }\KeywordTok{paste0}\NormalTok{(}\StringTok{'https://www.bundeswahlleiter.de/dam/jcr/'}\NormalTok{, }
               \StringTok{'2ace94c3-15cb-476b-aa98-806b97209353/btw13_kerg.csv'}\NormalTok{)}

\KeywordTok{download.file}\NormalTok{(URL1, }\StringTok{'elec_data.csv'}\NormalTok{)}
\end{Highlighting}
\end{Shaded}

\textbf{2. Load the data and read the variable names from the 4th line.
If you are using a Mac and R fails to read the file, try removing
\texttt{fileEncoding\ =\ \textquotesingle{}latin1\textquotesingle{},\ encoding\ =\ \textquotesingle{}UTF-8\textquotesingle{}}
and run the code again.}

\begin{Shaded}
\begin{Highlighting}[]
\NormalTok{e <-}\StringTok{ }\KeywordTok{read.csv}\NormalTok{(}\StringTok{'elec_data.csv'}\NormalTok{, }\DataTypeTok{skip =} \DecValTok{5}\NormalTok{, }\DataTypeTok{header =}\NormalTok{ T, }\DataTypeTok{sep =} \StringTok{';'}\NormalTok{,}
              \DataTypeTok{fileEncoding =} \StringTok{'latin1'}\NormalTok{, }\DataTypeTok{encoding =} \StringTok{'UTF-8'}\NormalTok{,}
              \DataTypeTok{stringsAsFactors =}\NormalTok{ F)}
\end{Highlighting}
\end{Shaded}

\textbf{3. Variable names were split across 3 rows in the original
dataset, so have not been understood by \texttt{R}. Use the index of old
names and the vector of new names to rename your variables}

\begin{itemize}
\tightlist
\item
  Old names:
  \texttt{c(1:4,\ 8,\ 20,\ 22,\ 24,\ 26,\ 28,\ 30,\ 32,\ 34,\ 36,\ 38,\ 40,\ 42,\ 44,\ 46,\ 104,\ 106)}
\item
  New names:
  \texttt{c(\textquotesingle{}no\textquotesingle{},\ \textquotesingle{}district\textquotesingle{},\ \textquotesingle{}landid\textquotesingle{},\ \textquotesingle{}eligible\textquotesingle{},\ \textquotesingle{}voters\textquotesingle{},\ \textquotesingle{}cdu1\textquotesingle{},\ \textquotesingle{}cdu2\textquotesingle{},\ \ \ \ \ \ \ \ \ \textquotesingle{}spd1\textquotesingle{},\ \textquotesingle{}spd2\textquotesingle{},\ \textquotesingle{}fdp1\textquotesingle{},\ \textquotesingle{}fdp2\textquotesingle{},\ \textquotesingle{}dielink1\textquotesingle{},\ \textquotesingle{}dielinke2\textquotesingle{},\ \ \ \ \ \ \ \ \ \textquotesingle{}greens1\textquotesingle{},\ \textquotesingle{}greens2\textquotesingle{},\ \textquotesingle{}csu1\textquotesingle{},\ \textquotesingle{}csu2\textquotesingle{},\ \textquotesingle{}pirates1\textquotesingle{},\ \textquotesingle{}pirates2\textquotesingle{},\ \ \ \ \ \ \ \ \ \textquotesingle{}afd1\textquotesingle{},\ \textquotesingle{}afd2\textquotesingle{})}
\end{itemize}

\begin{Shaded}
\begin{Highlighting}[]
\NormalTok{old <-}\StringTok{ }\KeywordTok{c}\NormalTok{(}\DecValTok{1}\OperatorTok{:}\DecValTok{4}\NormalTok{, }\DecValTok{8}\NormalTok{, }\DecValTok{20}\NormalTok{, }\DecValTok{22}\NormalTok{, }\DecValTok{24}\NormalTok{, }\DecValTok{26}\NormalTok{, }\DecValTok{28}\NormalTok{, }\DecValTok{30}\NormalTok{, }\DecValTok{32}\NormalTok{, }\DecValTok{34}\NormalTok{, }\DecValTok{36}\NormalTok{, }\DecValTok{38}\NormalTok{, }\DecValTok{40}\NormalTok{, }\DecValTok{42}\NormalTok{, }\DecValTok{44}\NormalTok{, }\DecValTok{46}\NormalTok{, }\DecValTok{104}\NormalTok{, }\DecValTok{106}\NormalTok{)}
\NormalTok{new <-}\StringTok{ }\KeywordTok{c}\NormalTok{(}\StringTok{'no'}\NormalTok{, }\StringTok{'district'}\NormalTok{, }\StringTok{'landid'}\NormalTok{, }\StringTok{'eligible'}\NormalTok{, }\StringTok{'voters'}\NormalTok{, }\StringTok{'cdu1'}\NormalTok{, }\StringTok{'cdu2'}\NormalTok{, }
         \StringTok{'spd1'}\NormalTok{, }\StringTok{'spd2'}\NormalTok{, }\StringTok{'fdp1'}\NormalTok{, }\StringTok{'fdp2'}\NormalTok{, }\StringTok{'dielink1'}\NormalTok{, }\StringTok{'dielinke2'}\NormalTok{, }
         \StringTok{'greens1'}\NormalTok{, }\StringTok{'greens2'}\NormalTok{, }\StringTok{'csu1'}\NormalTok{, }\StringTok{'csu2'}\NormalTok{, }\StringTok{'pirates1'}\NormalTok{, }\StringTok{'pirates2'}\NormalTok{, }
         \StringTok{'afd1'}\NormalTok{, }\StringTok{'afd2'}\NormalTok{)}
\KeywordTok{names}\NormalTok{(e)[old] <-}\StringTok{ }\NormalTok{new}
\end{Highlighting}
\end{Shaded}

\textbf{4. Drop those variables that aren't in the list of new names.}

\textbf{5. Remove empty rows and those rows which do not contain
electoral returns for districts (there are 299 in total) but for a whole
state or Germany as a whole. You should end up with 299 observations
representing electoral districts only after subsetting.}

\textbf{6. Convert any numeric variables that have been interpreted as
strings into numeric variables. Use mutate\_at() to do this (Hint: Look
at the help file to understand how mutate\_at() works).}

\textbf{7. Give Bavarian CSU votes (the CSU only competes in Bavaria) to
the CDU (the CDU does not compete in Bavaria) and rename the total to
CDUCSU. You can drop the individual parties. (Hint: the landid for
Bavaria is 9)}

\textbf{8. Convert the party variables from counts to percentages.}

\begin{Shaded}
\begin{Highlighting}[]
\NormalTok{e <-}\StringTok{ }
\StringTok{    }\NormalTok{e }\OperatorTok{%>%}\StringTok{ }
\StringTok{    }\KeywordTok{mutate_at}\NormalTok{(}\KeywordTok{vars}\NormalTok{(cducsu1}\OperatorTok{:}\NormalTok{afd2), }\ControlFlowTok{function}\NormalTok{(x) x}\OperatorTok{/}\NormalTok{e}\OperatorTok{$}\NormalTok{voters }\OperatorTok{*}\StringTok{ }\DecValTok{100} \OperatorTok{%>%}\StringTok{ }\KeywordTok{round}\NormalTok{(}\DecValTok{2}\NormalTok{))}
\end{Highlighting}
\end{Shaded}

\textbf{9. Create a variable called turnout which contains, well,
electoral turnout.}

\textbf{10. Create a (text) land variable, based on landid, and sort the
data by landid. The lands are (from land=1 to land=16)}

\begin{itemize}
\tightlist
\item
  c(``Schleswig-Holstein'', ``Hamburg'', ``Lower Saxony'', ``Bremen'',
  ``North Rhine-Westphalia'', ``Hesse'', ``Rhineland-Palatinate'',
  ``Baden-Württemberg'', ``Bavaria'', ``Saarland'', ``Berlin'',
  ``Brandenburg'', ``Mecklenburg-Vorpommern'', ``Saxony'',
  ``Saxony-Anhalt'', ``Thuringia'')
\end{itemize}

\textbf{11. Create a logical variable identifying East-German
\emph{Länder}.}

\begin{Shaded}
\begin{Highlighting}[]
\NormalTok{east <-}\StringTok{ }\KeywordTok{c}\NormalTok{(}\StringTok{"Brandenburg"}\NormalTok{, }\StringTok{"Mecklenburg-Vorpommern"}\NormalTok{, }\StringTok{"Saxony"}\NormalTok{, }\StringTok{"Saxony-Anhalt"}\NormalTok{, }
          \StringTok{"Thuringia"}\NormalTok{)}
\NormalTok{e}\OperatorTok{$}\NormalTok{east <-}\StringTok{ }\NormalTok{e}\OperatorTok{$}\NormalTok{land }\OperatorTok{%in%}\StringTok{ }\NormalTok{east}
\end{Highlighting}
\end{Shaded}

\textbf{12. Save your data as csv-file with a new name.}

\hypertarget{socio-economic-data}{%
\subsection{2. Socio-economic data}\label{socio-economic-data}}

\textbf{1. The FDA data is based on two seperate data sets: (1) The
official election results in the electoral districts for the 2013 German
national election. (2) Demographic and socio-economic data on the
electoral districts (so called \emph{Wahlstrukturdaten}). Now that you
have downloaded and cleaned the electoral data, obtain the
socio-economic data data. Download the data from
\texttt{https://www.bundeswahlleiter.de/dam/jcr/65ef1c2d-4df0-44e2-8881-99a176b4896c/btw13\_strukturdaten.csv}.
You can do this with R using \texttt{download.file()}.}

\begin{Shaded}
\begin{Highlighting}[]
\NormalTok{URL2 <-}\StringTok{ }\KeywordTok{paste0}\NormalTok{(}\StringTok{'https://www.bundeswahlleiter.de/dam/jcr/'}\NormalTok{,}
               \StringTok{'65ef1c2d-4df0-44e2-8881-99a176b4896c/btw13_strukturdaten.csv'}\NormalTok{)}

\KeywordTok{download.file}\NormalTok{(URL2, }\StringTok{'socecon_data.csv'}\NormalTok{)}

\NormalTok{s <-}\StringTok{ }\KeywordTok{read.csv}\NormalTok{(}\StringTok{'socecon_data.csv'}\NormalTok{, }\DataTypeTok{skip =} \DecValTok{4}\NormalTok{, }\DataTypeTok{header =}\NormalTok{ T, }\DataTypeTok{sep =} \StringTok{';'}\NormalTok{,}
              \DataTypeTok{fileEncoding =} \StringTok{'latin1'}\NormalTok{, }\DataTypeTok{encoding =} \StringTok{'UTF-8'}\NormalTok{,}
              \DataTypeTok{stringsAsFactors =}\NormalTok{ F)}
\end{Highlighting}
\end{Shaded}

\textbf{2. The variable names are in German. Use the vector of new names
to rename your variables}

\begin{itemize}
\tightlist
\item
  Old names:
  \texttt{c(\textquotesingle{}Land\textquotesingle{},\ \textquotesingle{}Wahlkreis.Nr.\textquotesingle{},\ \textquotesingle{}Wahlkreis.Name\textquotesingle{},\ \textquotesingle{}Fläche.am.31.12.2011..km..\textquotesingle{},\ \textquotesingle{}Bevölkerung.am.30.09.2012...Insgesamt..in.1000.\textquotesingle{},\ \ \textquotesingle{}Bevölkerungsdichte.am.31.12.2011..Einwohner.je.km.\textquotesingle{},\ \textquotesingle{}Alter.von.....bis.unter.....Jahren.am.31.12.2011...18.25....\textquotesingle{},\ \textquotesingle{}Alter.von.....bis.unter.....Jahren.am.31.12.2011...25.35....\textquotesingle{},\ \textquotesingle{}Alter.von.....bis.unter.....Jahren.am.31.12.2011...35.60....\textquotesingle{},\ \textquotesingle{}Alter.von.....bis.unter.....Jahren.am.31.12.2011...60.75....\textquotesingle{},\ \textquotesingle{}Alter.von.....bis.unter.....Jahren.am.31.12.2011...75.und.mehr....\textquotesingle{},\ \textquotesingle{}Allgemein.bildendes.Schulwesen..Absolventen.Abgänger.nach.dem.Abschluss.2011...mit.allgemeiner.Hochschulreife....\textquotesingle{},\ \textquotesingle{}Gewerbesteuereinnahmen.2011..EURO.je.Einwohner.\textquotesingle{},\ \textquotesingle{}Arbeitslosenquote.Ende.Dezember.2012...insgesamt\textquotesingle{},\ \textquotesingle{}Empfänger.innen..von.Leistungen.nach.SGB.II.am.31.12.2012....insgesamt..je.1000.Einwohner.\textquotesingle{})}
\item
  New names:
  \texttt{c(\textquotesingle{}land\textquotesingle{},\ \textquotesingle{}no\textquotesingle{},\ \textquotesingle{}district\textquotesingle{},\ \textquotesingle{}population\textquotesingle{},\ \textquotesingle{}popdensity\textquotesingle{},\ \textquotesingle{}pop18\_25\textquotesingle{},\ \textquotesingle{}pop25\_35\textquotesingle{},\ \textquotesingle{}pop35\_60\textquotesingle{},\ \textquotesingle{}pop65\_75\textquotesingle{},\ \textquotesingle{}pop75\_\textquotesingle{},\ \textquotesingle{}abitur\textquotesingle{},\ \textquotesingle{}localbusinesstax\textquotesingle{},\ \textquotesingle{}unemployment\textquotesingle{},\ \textquotesingle{}socialbenefits\textquotesingle{})}
\end{itemize}

\begin{Shaded}
\begin{Highlighting}[]
\NormalTok{old <-}\StringTok{ }\KeywordTok{c}\NormalTok{(}\StringTok{'Land'}\NormalTok{, }\StringTok{'Wahlkreis.Nr.'}\NormalTok{, }\StringTok{'Wahlkreis.Name'}\NormalTok{,}
         \StringTok{'Fläche.am.31.12.2011..km..'}\NormalTok{,}\StringTok{'Bevölkerung.am.30.09.2012...Insgesamt..in.1000.'}\NormalTok{,}
         \StringTok{'Bevölkerungsdichte.am.31.12.2011..Einwohner.je.km.'}\NormalTok{,}
         \StringTok{'Alter.von.....bis.unter.....Jahren.am.31.12.2011...18.25....'}\NormalTok{,}
         \StringTok{'Alter.von.....bis.unter.....Jahren.am.31.12.2011...25.35....'}\NormalTok{,}
         \StringTok{'Alter.von.....bis.unter.....Jahren.am.31.12.2011...35.60....'}\NormalTok{,}
         \StringTok{'Alter.von.....bis.unter.....Jahren.am.31.12.2011...60.75....'}\NormalTok{,}
         \StringTok{'Alter.von.....bis.unter.....Jahren.am.31.12.2011...75.und.mehr....'}\NormalTok{,}
         \KeywordTok{paste0}\NormalTok{(}\StringTok{'Allgemein.bildendes.Schulwesen..Absolventen.Abgänger.nach.dem.'}\NormalTok{,}
                \StringTok{'Abschluss.2011...mit.allgemeiner.Hochschulreife....'}\NormalTok{), }
         \StringTok{'Gewerbesteuereinnahmen.2011..EURO.je.Einwohner.'}\NormalTok{, }
         \StringTok{'Arbeitslosenquote.Ende.Dezember.2012...insgesamt'}\NormalTok{,}
         \StringTok{'Empfänger.innen..von.Leistungen.nach.SGB.II.am.31.12.2012....insgesamt..je.1000.Einwohner.'}\NormalTok{)}

\NormalTok{new <-}\StringTok{ }\KeywordTok{c}\NormalTok{(}\StringTok{'land'}\NormalTok{, }\StringTok{'no'}\NormalTok{, }\StringTok{'district'}\NormalTok{, }\StringTok{'area'}\NormalTok{, }\StringTok{'population'}\NormalTok{, }\StringTok{'popdensity'}\NormalTok{, }\StringTok{'pop18_25'}\NormalTok{, }
         \StringTok{'pop25_35'}\NormalTok{, }\StringTok{'pop35_60'}\NormalTok{, }\StringTok{'pop60_75'}\NormalTok{, }\StringTok{'pop75_'}\NormalTok{, }\StringTok{'abitur'}\NormalTok{, }\StringTok{'localbusinesstax'}\NormalTok{, }
         \StringTok{'unemployment'}\NormalTok{, }\StringTok{'socialbenefits'}\NormalTok{)}

\CommentTok{# now do the remaining step by yourself}
\end{Highlighting}
\end{Shaded}

\textbf{3. Drop those variables that aren't in the list of new names.}

\textbf{4. Remove empty rows and those rows which contain Land totals.}

\textbf{5. Convert any numeric variables that have been interpreted as
strings into numeric variables. Use a loop to do this (Hint: Check out
\texttt{mutate\_at()} which allows you to manipulate multiple variables
at the same time with the same fuction.)}

\begin{Shaded}
\begin{Highlighting}[]
\KeywordTok{glimpse}\NormalTok{(s) }\CommentTok{# are any variables characters although they should be numeric?}

\CommentTok{# remove spaces and replace comma with decimal point and make variable numeric}
\NormalTok{s <-}\StringTok{ }
\StringTok{    }\NormalTok{s }\OperatorTok{%>%}\StringTok{ }\KeywordTok{mutate_at}\NormalTok{(}\KeywordTok{vars}\NormalTok{(area}\OperatorTok{:}\NormalTok{socialbenefits), str_replace, }\StringTok{' '}\NormalTok{, }\StringTok{''}\NormalTok{) }\OperatorTok{%>%}
\StringTok{    }\KeywordTok{mutate_at}\NormalTok{(}\KeywordTok{vars}\NormalTok{(area}\OperatorTok{:}\NormalTok{socialbenefits), str_replace, }\StringTok{','}\NormalTok{, }\StringTok{'.'}\NormalTok{) }\OperatorTok{%>%}
\StringTok{    }\KeywordTok{mutate_at}\NormalTok{(}\KeywordTok{vars}\NormalTok{(area}\OperatorTok{:}\NormalTok{socialbenefits), as.numeric)}
    
\KeywordTok{glimpse}\NormalTok{(s)}
\end{Highlighting}
\end{Shaded}

\textbf{6. Save your data as csv-file with a new name.}

\hypertarget{merge-the-datasets}{%
\subsection{3. Merge the datasets}\label{merge-the-datasets}}

\textbf{1. Now that the two datasets are cleaned you can merge them.
Which variable will you choose to do this?}

\textbf{2. Remove duplicate variables and rename appropriately.}

\textbf{3. Now that the datasets are merged save the new data.frame to a
file.}


\end{document}
